package cn.com.countrygarden.bi.main.model.excontract;

import javax.persistence.Id;

public class ContractDictionary {
    @Id
    private Integer code;

    private Integer precode;

    private String kind;

    private String kinddetail;

    private Double minusscore;

    private Double minusmoney;

    private String createby;

    private String createdate;

    private String modifiedby;

    private String modifieddate;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public Integer getPrecode() {
        return precode;
    }

    public void setPrecode(Integer precode) {
        this.precode = precode;
    }

    public String getKind() {
        return kind;
    }

    public void setKind(String kind) {
        this.kind = kind == null ? null : kind.trim();
    }

    public String getKinddetail() {
        return kinddetail;
    }

    public void setKinddetail(String kinddetail) {
        this.kinddetail = kinddetail == null ? null : kinddetail.trim();
    }

    public Double getMinusscore() {
        return minusscore;
    }

    public void setMinusscore(Double minusscore) {
        this.minusscore = minusscore;
    }

    public Double getMinusmoney() {
        return minusmoney;
    }

    public void setMinusmoney(Double minusmoney) {
        this.minusmoney = minusmoney;
    }

    public String getCreateby() {
        return createby;
    }

    public void setCreateby(String createby) {
        this.createby = createby == null ? null : createby.trim();
    }

    public String getCreatedate() {
        return createdate;
    }

    public void setCreatedate(String createdate) {
        this.createdate = createdate;
    }

    public String getModifiedby() {
        return modifiedby;
    }

    public void setModifiedby(String modifiedby) {
        this.modifiedby = modifiedby == null ? null : modifiedby.trim();
    }

    public String getModifieddate() {
        return modifieddate;
    }

    public void setModifieddate(String modifieddate) {
        this.modifieddate = modifieddate;
    }
}